package com.ruoyi.web.controller.system.property;

import com.ruoyi.common.annotation.Log;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.enums.BusinessType;
import com.ruoyi.system.domain.TdPropertyInfo;
import com.ruoyi.system.service.ITdPropertyInfoService;
import org.apache.shiro.authz.annotation.RequiresPermissions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.ModelMap;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@Controller
@RequestMapping("/system/propertyDestory")
public class TdPropertyDestoryController extends BaseController {
    private String prefix = "system/property/propertydestory";
    @Autowired
    private ITdPropertyInfoService tdPropertyInfoService;

    @RequiresPermissions("system:destoryproperty:view")
    @GetMapping()
    public String destoryProperty()
    {
        return prefix + "/destoryproperty";
    }

    /**
     * 资产登记列表
     */
    @RequiresPermissions("system:destoryproperty:list")
    @PostMapping("/list")
    @ResponseBody
    public TableDataInfo list(TdPropertyInfo tdPropertyInfo)
    {
        startPage();
        List<TdPropertyInfo> tdPropertyInfos = tdPropertyInfoService.selectTdPropertyInfoList(tdPropertyInfo);
        return getDataTable(tdPropertyInfos);
    }

    /**
     * 涉密资产报废
     */
    @RequiresPermissions("system:destoryproperty:destory")
    @GetMapping("/destory/{id}")
    public String destory(@PathVariable("id") String id, ModelMap mmap)
    {
        TdPropertyInfo tdPropertyInfo = tdPropertyInfoService.selectTdPropertyInfoById(id);
        mmap.put("tdPropertyInfo", tdPropertyInfo);
        return prefix + "/destory";
    }

    /**
     * 保存变更修改
     */
    @RequiresPermissions("system:destoryproperty:destory")
    @Log(title = "资产变更", businessType = BusinessType.UPDATE)
    @PostMapping("/destory")
    @ResponseBody
    public AjaxResult destorySave(TdPropertyInfo tdPropertyInfo)
    {
        return toAjax(tdPropertyInfoService.updateTdPropertyInfo(tdPropertyInfo));
    }

}
